Package org.apache.sysds.hops.fedplanner

# Enum Class FTypes.AlignType

java.lang.Object
java.lang.Enum<FTypes.AlignType>
org.apache.sysds.hops.fedplanner.FTypes.AlignType

All Implemented Interfaces:
  `Serializable`, `Comparable<FTypes.AlignType>`, `Constable`

Enclosing class:
  FTypes

public static enum FTypes.AlignType extends Enum<FTypes.AlignType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COL`
`COL_T`
`FULL`
`FULL_T`
`ROW`
`ROW_T`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isColType()`
`boolean`
`isFullType()`
`boolean`
`isRowType()`
`boolean`
`isTransposed()`
`static FTypes.AlignType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FTypes.AlignType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FULL

public static final FTypes.AlignType FULL

### ROW

public static final FTypes.AlignType ROW

### COL

public static final FTypes.AlignType COL

### FULL_T

public static final FTypes.AlignType FULL_T

### ROW_T

public static final FTypes.AlignType ROW_T

### COL_T

public static final FTypes.AlignType COL_T

## Method Details

### values

public static FTypes.AlignType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FTypes.AlignType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isTransposed

public boolean isTransposed()

### isFullType

public boolean isFullType()

### isRowType

public boolean isRowType()

### isColType

public boolean isColType()